Subject: Re: [saag] SSH & Ntruprime

From: Ira McDonald <[email-masked]>
Date: Mon, 25 Mar 2024 16:07:24 -0400

Hi,

This thread took an interesting 45 minutes to read thoughtfully.

My two cents - Mike St Johns is right that, at a minimum, we should fix the
I-D boilerplate.
And documents that don't have a *completely* stable public URI have no
business being
used to satisfy "Specification Required".

Cheers,
- Ira

On Mon, Mar 25, 2024 at 3:33 PM Michael StJohns <[email-masked]>
wrote:

> On 3/25/2024 3:01 PM, Salz, Rich wrote:
>
> Has the IETF committed itself - through an actual public discussion - of
> making the IDs archival? Keeping them online - yes.  Keeping them at a
> fixed URL, I think not and I think RFC8447 was a mistake.  Referencing
> RFC8477 as precedent for Murray's question seems problematic.
>
> If you really want to know, perhaps ask tools-discuss email?  Or search
> the email archives.
>
> Someone sent me a pointer off-line. Thanks to that person, who wishes to
> remain anonymous :) The IESG issued a statement in October 2012 [1] after
> starting a discussion the month before [2].  The discussion was, shall we
> say, “extensive.”
>
> [1]
> https://datatracker.ietf.org/doc/statement-iesg-iesg-statement-on-removal-of-an-internet-draft-from-the-ietf-web-site-20121025/
>
> [2]
> https://mailarchive.ietf.org/arch/msg/ietf/Jea_pkJrsgI1dUWvaNdROPY5KCs/
>
>
>
> Yup - I remember this.  However, this inapposite (yes, been reading too
> many court filings) to the question of "stable reference" which lies at the
> heart of the RFC 8126 requirement for "Specification Required".
>
> The intention behind "permanent and readily available" is that a
>    document can reasonably be expected to be findable and retrievable
>    long after IANA assignment of the requested value.  Publication of an
>    RFC is an ideal means of achieving this requirement, but
>    Specification Required is intended to also cover the case of a
>    document published outside of the RFC path, including informal
>    documentation.
>
> The language of the statement at [2] does not provide for a stable
> reference, and allows for the removal of various IDs to a private archive
> under certain circumstances.  [2] DOES end the practice of removing expired
> drafts from the public archive and that was about it.  It didn't say
> anything about keeping the public archive at a fixed location.  And,
> indeed, the public FTP archive of IDs is some what recently deceased.
> There's a wide gulf between the meaning of  "Don't delete" and "Archive".
>
> What's the proper cite for a stable ID?  The IANA apparently copies the
> current version over to their own files and references that in the
> registry, but the rest of us generally cite the datatracker page, or
> occasionally one of the archived .txt, .xml, .html or .pdf versions of the
> document as appropriate.  Or in the past, the tools page which was at times
> much more useful that then the datatracker.
>
> I understand what 8447 wanted to accomplish, I just don't think it went
> about it the right way.  I don't think it should be a precedent for future
> documents without actually writing down the backing requirements and making
> sure they're institutionalized across the IETF organizations.
>
> Later, Mike
>
>
>
>
>
> _______________________________________________
> saag mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/saag
>